#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: lifted-base
version: 0.2.3.11
id: lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ
key: lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ
license: BSD3
copyright: (c) 2011-2012 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/lifted-base
synopsis: lifted IO operations from the base library
description:
    @lifted-base@ exports IO operations from the base library lifted to
    any instance of '\''MonadBase'\'' or '\''MonadBaseControl'\''.
    .
    Note that not all modules from @base@ are converted yet. If
    you need a lifted version of a function from @base@, just
    ask me to add it or send me a patch.
    .
    The package includes a copy of the @monad-peel@ testsuite written
    by Anders Kaseorg The tests can be performed using @cabal test@.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
indefinite: False
exposed-modules:
    Control.Concurrent.Chan.Lifted Control.Concurrent.Lifted
    Control.Concurrent.MVar.Lifted Control.Concurrent.QSem.Lifted
    Control.Concurrent.QSemN.Lifted Control.Exception.Lifted
    Data.IORef.Lifted Foreign.Marshal.Utils.Lifted
    System.Timeout.Lifted
abi: cf58c71914eac1aaf26174fb0607ced0
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/lifted-base-0.2.3.11
library-dirs: /usr/lib/ghc-8.2.1/site-local/lifted-base-0.2.3.11
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/lifted-base-0.2.3.11
hs-libraries: HSlifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ
includes:
    inlinable.h
depends:
    base-4.10.0.0 transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld
    monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld=488e16d42785d73d2eee418d7735d08a
             monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj=dfad8947f11740596f17fadd714d5078
haddock-interfaces: /usr/share/doc/haskell-lifted-base/html/lifted-base.haddock
haddock-html: /usr/share/doc/haskell-lifted-base/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

